Bug 2819 - Bug in ".." check in stat_cache_add
Bug in ".." check in stat_cache_add
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.20
All Linux
: P3 minor
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-23 09:24 UTC by Kevin Jamieson
Modified: 2006-04-08 07:43 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Jamieson 2005-06-23 09:24:14 UTC
Hi, I noticed a small bug in the test for ".." entries in stat_cache_add

Index: smbd/statcache.c
===================================================================
--- smbd/statcache.c    (revision 7845)
+++ smbd/statcache.c    (working copy)
@@ -64,7 +64,7 @@
 
        if((*full_orig_name == '\0') || (full_orig_name[0] == '.' && 
                                ((full_orig_name[1] == '\0') ||
-                                (full_orig_name[1] == '.' && full_orig_name[1]
== '\0'))))
+                                (full_orig_name[1] == '.' && full_orig_name[2]
== '\0'))))
                return;
 
        /*
Comment 1 Jeremy Allison 2005-06-23 09:57:26 UTC
completely correct - applied,
Thanks !
Jeremy.
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:19:14 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 3 Gerald (Jerry) Carter 2006-04-08 07:43:48 UTC
Cleaning up versions.  There was no 3.0.15 so leaving it in bugzilla 
is causing some confusion.  Moving these nuder 3.0.20.
Originally files against 3.0.15preX.